%define installdir %apache_htdocsdir/addon-modules/horde/kronolith

Name: horde3-kronolith
Version: 2.0.5
Release: alt1

Summary: Kronolith is the Horde task list application, H3 branch
License: GPL
Group: Networking/Mail
URL: http://www.horde.org/

Source: ftp://ftp.horde.org/pub/kronolith/kronolith-h3-%version.tar.gz
Source1: kronolith.conf
Patch0: kronolith-2.0.2-php-path.patch
BuildArchitectures: noarch

Requires: horde3
BuildPreReq: apache-devel

# Speed-up build process
AutoReqProv: off
%define _verify_elf_method skip
%define _strip_method none

%description
Kronolith is a web-based calendar system written in PHP and utilizing the
Horde Application Framework.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n kronolith-h3-%version
%patch0 -p1

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp %SOURCE1 %buildroot%apache_addonconfdir.d
%__mkdir_p %buildroot%installdir
%__cp --preserve -pR * %buildroot%installdir
%__rm -rf %buildroot%installdir/docs
%__rm -f %buildroot%installdir/{README,COPYING}
cd %buildroot%installdir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
touch conf.php

%pre

%post
# post-install instructions:

# patching old type of httpd.conf
if egrep -q "^Include conf/addon-modules.?d?/kronolith.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/kronolith.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/kronolith.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/kronolith.conf" >> %apache_conf
fi

/sbin/service httpd condrestart

cat <<_EOF_
You must manually configure Kronolith!
See INSTALL
_EOF_

%postun
if [ $1 -eq 0 ]; then
	if [ -f %apache_conf ] ; then
		grep -q "^Include conf/addon-modules.d/kronolith.conf" %apache_conf &&
			%__subst "/Include conf\/addon-modules.d\/kronolith.conf/d" %apache_conf
		/sbin/service httpd condrestart
	fi
fi

%files
%config(noreplace) %apache_addonconfdir.d/kronolith.conf
%dir %installdir
# Include top-level files by hand
%installdir/*.php
%installdir/lib
%installdir/locale
%installdir/po
%installdir/scripts
%installdir/themes
%installdir/templates
%doc COPYING README docs/*
# Mark configuration files with %%config and use secure permissions
# (note that .dist files are considered software; don't mark %%config)
%attr(750,root,%apache_group) %dir %installdir/config
%defattr(640,root,%apache_group)
%installdir/config/.htaccess
%installdir/config/*.dist
%installdir/config/*.xml
%config(noreplace) %installdir/config/*.php

%changelog
* Fri Nov 25 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.5-alt1
- 2.0.5
- strip unnecessary dependencies (#8418)

* Wed Oct 12 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.3-alt1
- 2.0.3
- documentation moved to %%doc

* Wed Jun 15 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.2-alt1
- Sisyphus build

* Tue Mar 29 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.2-ucvt2
- fixed php path(patch0)

* Sat Mar 26 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.2-ucvt1
- 2.0.2

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.1-ucvt1
- Initial build
